<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Maven Java Plug-in Goals</title>
    <author email="dion@multitask.com.au">dIon Gillard</author>
    <author email="kschrader@karmalab.org">Kurt Schrader</author>
    <author email="evenisse@ifrance.com">Emmanuel Venisse</author>
  </properties>

  <body>
    <section name="Goals">
      <table>
        <tr><th>Goal</th><th>Description</th></tr>
        <tr>
          <td>jar:jar</td>
          <td>Launch jar:jar goal.</td>
        </tr>
        <tr>
          <td>jar:jar</td>
          <td>
            Creates a jar file in the Maven build directory with the
            form <code>${project.id}-${project.currentVersion}.jar</code> where 
            the id and currentVersion are taken from the <code>project.xml</code>
            of  the project being built.
          </td>
        </tr>
        <tr>
          <td>jar:snapshot</td>
          <td>
            Creates a jar file in the Maven build directory with the
            form <code>${project.id}-YYYYMMDD.hhmmss.jar</code> where 
            <ul>
              <li>
                id - taken from the <code>project.xml</code>
                of the project being built
              </li>
              <li>YYYYMMDD - The current year in 8 digit format</li>
              <li>hhmmss - the current time in 6 digit format</li>
            </ul>
          </td>
        </tr>
        <tr>
          <td>jar:deploy-snapshot</td>
          <td>
            Deploy a snapshot jar to the remote repository
          </td>
        </tr>
        <tr>
          <td>jar:deploy</td>
          <td>
            Deploy a jar to the remote repository. The jar is built using
            the <code>java:jar</code> goal
          </td>
        </tr>
        <tr>
          <td>jar:install</td>
          <td>
            Install a jar into the local repository. The jar is built using
            the <code>java:jar</code> goal
          </td>
        </tr>
        <tr>
          <td>jar:install-snapshot</td>
          <td>
            Install a jar into the local repository. The jar is built using
            the <code>jar:snapshot</code> goal and copied into the local
            repository as the -SNAPSHOT version.
          </td>
        </tr>
        <tr>
          <td>clean</td>
          <td>
            This goal is a shortcut to the <code>clean:clean</code> goal
          </td>
        </tr>
        <tr>
          <td>clean:clean</td>
          <td>
            Removes the <a href="properties.html">maven.build.dir</a> and 
            <a href="properties.html">maven.test.reportsDirectory</a> directories
          </td>
        </tr>
      </table>
    </section>
 </body>
</document>
